//
//  QHVCUploadCommon.h
//  QHVCUploadKit
//
//  Created by deng on 2017/9/22.
//  Copyright © 2017年 qihoo. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "QHVCCommonUploader.h"

#define kBoundary   @"1a2b3c"
#define kNewOneLine @"\r\n"
#define kNewTwoLines    @"\r\n\r\n"
#define kStartBoundary  [NSString stringWithFormat: @"--%@%@", kBoundary, kNewOneLine]
#define kEndBody    [NSString stringWithFormat: @"--%@--", kBoundary]

#define _STR(s)                 [QHVCUploadCommon parseToString:s]
#define _NUMBER(s)              [QHVCUploadCommon parseToNumValue:s]
#define _ARRAY(s)               [QHVCUploadCommon parseToArray:s]
#define _DIC(s)                 [QHVCUploadCommon parseToDictionary:s]

@interface QHVCUploadCommon : NSObject

+ (NSString *)parseToString:(id)parse;
+ (NSNumber *)parseToNumValue:(id)parse;
+ (NSArray *)parseToArray:(id)parse;
+ (NSDictionary *)parseToDictionary:(id)parse;

+ (NSError *)formatError:(NSInteger)code errorMsg:(NSString *)msg;

+ (NSData *)dicFormatTojson:(NSDictionary *)dict;
+ (NSDictionary *)jsonFormatToDic:(NSData *)data;

+ (NSString *)deviceSystemVersion;
+ (NSString *)deviceSystemName;
+ (NSString *)deviceModel;

+ (QHVCCommonUploadError)fileStatus:(NSString *)filePath fileSize:(uint64_t *)fileSize;
+ (uint64_t)fileSize:(NSString *)filePath;

@end
