//
//  QHVCEffectBase.h
//  QHVCEffectKit
//
//  Created by liyue-g on 2018/10/30.
//  Copyright © 2018年 liyue-g. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreImage/CoreImage.h>
#import "QHVCEffectDefinitions.h"

#pragma mark - 视频过渡效果（和画中画、贴图组合使用）

@interface QHVCEffectVideoTransferParam : NSObject
@property (nonatomic, assign) QHVCEffectRenderParamType paramType;      //参数类型
@property (nonatomic, assign) QHVCEffectCurveType curveType;            //曲线类型
@property (nonatomic, assign) CGFloat startValue;                       //初始值
@property (nonatomic, assign) CGFloat endValue;                         //结束值
@property (nonatomic, assign) int64_t startTime;                      //初始时间，为相对时间(单位：毫秒)
@property (nonatomic, assign) int64_t endTime;                        //结束时间，为相对时间(单位：毫秒)
@end

#pragma mark - 视频轨迹（和画中画、贴图组合使用）

@interface QHVCEffectVideoPathParam : NSObject
@property (nonatomic, assign) QHVCEffectRenderParamType paramType;      //参数类型
@property (nonatomic, assign) CGFloat value;                            //参数值
@property (nonatomic, assign) NSInteger time;                           //参数时间
@end


@interface QHVCEffectBase : NSObject

@property (nonatomic, assign) int64_t initialStartTime;       //初始开始时间，不受变速等影响
@property (nonatomic, assign) int64_t initialEndTime;         //初始结束时间，不受变速等影响
@property (nonatomic, assign) int64_t renderStartTime;        //开始渲染时间，受变速等影响
@property (nonatomic, assign) int64_t renderEndTime;          //结束渲染时间，受变速等影响
@property (nonatomic, retain) CIImage* targetImage;

- (CIImage *)processImage:(CIImage *)image timestamp:(int64_t)timestamp;

@end

